// -*- mode: C++; c-file-style: "stroustrup"; c-basic-offset: 4; -*-
////////////////////////////////////////////////////////////////////
//
// $Id: mingraph.cpp 102 2008-01-22 13:27:25Z sebastian $
//
////////////////////////////////////////////////////////////////////

#include "system/zone.h"
#include <base/DataAllocator.h>
#include <iostream>

using namespace std;
using namespace dbm;

int main() {
    int dim = 5;
    dbm_t d(dim);
    d.setInit();
    
    cout << d << endl;

    int32_t* mem = new int32_t[dim * dim];
    mingraph_t graph = d.writeToMinDBMWithOffset(true, true, base_newallocator, 0);
    constraint_t co(2, 1, -5, true);
    
    cout << dbm_relation2string(d.relation(graph, mem)) << endl;
    
    d &= co;

    cout << d << endl;
    
    cout << dbm_relation2string(d.relation(graph, mem)) << endl;
    
}

