/*//////////////////////////////////////////////////////////////////
//
// $Id: lexer.ll 101 2008-01-22 13:17:14Z sebastian $
//
//////////////////////////////////////////////////////////////////*/
%option yylineno
%{

#include "parser.hh"
#include <cstdio>

%}

%% 

[ \t\n]+                 ; 
"// proc:"               { return PROCESSES; }
"// int:"                { return INTEGERS; }
"// clock:"              { return CLOCKS; }  
[a-zA-Z]+[a-z()A-Z0-9_]* {  
                             yylval.str = strdup(yytext);
                             return ID; 
                         }
-?[0-9]+                 { 
                             yylval.number = atoi(yytext); 
                             return INT; 
                         }
.                        { return *yytext; }

%%


