// -*- mode: C++; c-file-style: "stroustrup"; c-basic-offset: 4; -*-
////////////////////////////////////////////////////////////////////
//
// $Id: effect.h 36 2007-12-05 16:58:02Z sebastian $
//
////////////////////////////////////////////////////////////////////

#ifndef EFFECT_H
#define EFFECT_H

#include "system/expression.h"
#include <vector>

class IntAssignment;
class ClockReset;
class State;

class Effect : public Expression {
public:
    std::vector<IntAssignment*> intassigns;
    std::vector<ClockReset*> resets;

    Effect();
    ~Effect();
    
    virtual void apply(State* state) const;
    virtual std::ostream& display(std::ostream& o) const;
};

#endif /* EFFECT_H */
