// -*- mode: C++; c-file-style: "stroustrup"; c-basic-offset: 4; -*-
////////////////////////////////////////////////////////////////////
//
// $Id: zone.h 102 2008-01-22 13:27:25Z sebastian $
//
////////////////////////////////////////////////////////////////////

#ifndef ZONE_H
#define ZONE_H

#pragma GCC system_header

#include <dbm/fed.h>
#include <dbm/print.h>

#pragma enable_warn

#include <string>
#include <iosfwd>

class System;

class MyClockAccessor : public dbm::ClockAccessor {
private:
    const System* system;
public:
    MyClockAccessor(const System* system);
    virtual const std::string getClockName(cindex_t index) const;
};

std::ostream& dump(std::ostream& out, const dbm::dbm_t& zone);

#endif /* ZONE_H */
