// -*- mode: C++; c-file-style: "stroustrup"; c-basic-offset: 4; -*-
////////////////////////////////////////////////////////////////////
//
// $Id: gdu.cpp 87 2008-01-16 17:20:24Z sebastian $
//
////////////////////////////////////////////////////////////////////

#include "ul_heuristic/gdu.h"
#include "system/state.h"
#include "system/task.h"
#include "system/system.h"

using namespace std;

GDUselessHeuristic::GDUselessHeuristic(const Task* task, GDHeuristic* heuristic) :
    Useless(task),
    heuristic(heuristic)
{}

int32_t GDUselessHeuristic::evalAbstracted(const State* state, const vector<bool>& abstracted) {
    heuristic->init(abstracted);
    return heuristic->eval(state);
}
