// -*- mode: C++; c-file-style: "stroustrup"; c-basic-offset: 4; -*-
////////////////////////////////////////////////////////////////////
//
// $Id: ffloc.cpp 68 2008-01-14 09:09:37Z sebastian $
//
////////////////////////////////////////////////////////////////////

#include "ff_heuristic/ffloc.h"
#include "ff_heuristic/ffedge.h"

#include <iostream>
#include <cassert>

namespace ff {

    using namespace std;
    
    Location::Location() : 
	name("no name"),
	id(0),
	edges()
    {}

    void Location::addEdge(Edge* edge) {
	assert(edge != 0);
	edges.push_back(edge);
    }
        
    ostream& Location::display(ostream& o) const {
	return o << name;
    }
}
