// -*- mode: C++; c-file-style: "stroustrup"; c-basic-offset: 4; -*-
////////////////////////////////////////////////////////////////////
//
// $Id: parser.h 38 2007-12-12 18:05:21Z sebastian $
//
////////////////////////////////////////////////////////////////////

#ifndef PARSER_H
#define PARSER_H

#include <string>

class Task;

class SystemParser {
private:
    SystemParser() {}
public:
    static Task* parse(const std::string& tafile, const std::string& qfile, bool oldSyntax);
    static Task* parse(const char* tafile, const char* qfile, bool oldSyntax);
};

#endif /* PARSER_H */
